------------------------------------------------------------------------------------
--Name:  	juqing4
--Creator:	由剧情表现脚本编辑器生成
--Created:	2025-02-27
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(250, 190)
local Player_1 = CppScriptMgr:AddSimplePlayer(1100530, 250, 190, "", 0, 0)
Player_1:SetDir(4)
local Player_2 = CppScriptMgr:AddSimplePlayer(1100187, 250, 186, "", 0, 0)
Player_2:SetDir(7)
local Player_3 = CppScriptMgr:AddSimplePlayer(100850, 254, 186, "", 0, 0)
Player_3:SetDir(1)
local Player_4 = CppScriptMgr:QueryHero()
Player_4:SetPos(265, 205)
Player_4:SetHide(1)
local Player_5 = CppScriptMgr:AddSimplePlayer(1100100, 251, 206, "", 0, 0)
Player_5:SetHide(1)
CppScriptMgr:WaitMilSec(500)
Player_1:Say("The Grinning Villains have been caught, and Fool`s Paradise can finally reopen!", 1500)
CppScriptMgr:WaitMilSec(1500)
Player_2:Say("I can`t wait!", 1500)
CppScriptMgr:WaitMilSec(1500)
local effect_0 = CppScriptMgr:AddEffect("ty_ymz", 250, 190, 33, 1, 1, 1)
effect_0:Scale(2, 2, 2)
CppScriptMgr:ShakeScrEffect(5)
Player_3:Say("What`s going on? I can`t breathe!", 1500)
CppScriptMgr:WaitMilSec(2010)
Player_4:RunTo(255, 195)
Player_4:SetHide(0)
Player_5:RunTo(251, 196)
Player_5:SetHide(0)
CppScriptMgr:WaitMilSec(950)
Player_4:Say("Oh no!!! Something`s gone wrong!", 1500)
Player_1:SetAction(331)
Player_1:SetFrameInterval(100000)
Player_2:SetAction(331)
Player_2:SetFrameInterval(100000)
Player_3:SetFrameInterval(100000)
Player_3:SetAction(331)
CppScriptMgr:WaitMilSec(2010)
Player_5:Say("How can this be? Weren`t all the Grinning Villains captured?", 2000)
CppScriptMgr:WaitMilSec(60)
Player_5:SetDir(6)
Player_4:SetDir(2)
CppScriptMgr:WaitMilSec(1890)
Player_5:Say("Could there be a ninth Grinning Villain?", 2000)
CppScriptMgr:WaitMilSec(2000)
Player_4:Say("No! There were always 8 villains! The final clown is among us!", 1500)
CppScriptMgr:WaitMilSec(2000)
Player_4:Say("Sheriff Faull, you`re the last member of the Grinning Group!", 2000)
Player_4:SetAction(230)
Player_4:SetDir(7)
CppScriptMgr:WaitMilSec(2950)